Tradable Assets
curl --request GET \
--url https://api-bluvo.com/v0/wallet/trade/tradable-assets \
--header 'x-bluvo-api-key: <api-key>' \
--header 'x-bluvo-org-id: <api-key>' \
--header 'x-bluvo-project-id: <api-key>'import requests
url = "https://api-bluvo.com/v0/wallet/trade/tradable-assets"
headers = {
"x-bluvo-api-key": "<api-key>",
"x-bluvo-org-id": "<api-key>",
"x-bluvo-project-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-bluvo-api-key': '<api-key>',
'x-bluvo-org-id': '<api-key>',
'x-bluvo-project-id': '<api-key>'
}
};
fetch('https://api-bluvo.com/v0/wallet/trade/tradable-assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemaVersion": 1,
"exchange": "kraken",
"generatedAt": "2026-06-01T00:00:00.000Z",
"source": {
"api": "https://api.kraken.com/0/public/AssetPairs",
"fetchedAt": "2026-06-01T00:00:00.000Z"
},
"assets": [
{
"assetId": "DOGE",
"symbol": "DOGE",
"exchangeSymbols": [
"XXDG",
"XDG"
]
},
{
"assetId": "USDC",
"symbol": "USDC",
"exchangeSymbols": [
"USDC"
]
}
],
"routes": [
{
"routeId": "kraken:spot:DOGE-USDC",
"exchange": "kraken",
"marketType": "spot",
"baseAsset": "DOGE",
"quoteAsset": "USDC",
"displaySymbol": "DOGE/USDC",
"exchangeSymbol": "XDGUSDC",
"status": "online",
"isTradingEnabled": true,
"margin": {
"isMarginEnabled": false
},
"orderTypes": [
"market",
"limit"
],
"tradingRules": {
"price": {
"tickSize": "0.000001",
"priceDecimals": 6
},
"quantity": {
"minBaseQty": "13",
"stepSize": "0.00000001",
"quantityDecimals": 8
}
},
"fees": {
"model": "maker_taker",
"tiers": [
{
"volume": "0",
"maker": "0.25",
"taker": "0.4"
}
]
}
}
],
"stats": {
"totalAssets": 2,
"totalRoutes": 1,
"tradableRoutes": 1
}
}{
"error": "Provide either x-bluvo-wallet-id header or exchange query parameter",
"type": "GENERIC_VALIDATION_ERROR"
}{
"error": "Insufficient permissions",
"type": "APIKEY_INSUFFICIENT_PERMISSIONS",
"missing": [
"read"
]
}{
"error": "Wallet not found",
"type": "WALLET_NOT_FOUND"
}Trading
Tradable Assets
List tradable assets and trading routes for an exchange. Provide either the x-bluvo-wallet-id header or the exchange query parameter. When both are provided, the wallet header wins and the wallet exchange is used. Optional source and destination filters limit the returned routes and prune the assets list to assets referenced by those routes.
Required API Key Scopes: read
GET
/
v0
/
wallet
/
trade
/
tradable-assets
Tradable Assets
Authorizations
Bluvo API Key
Bluvo Organization ID
Bluvo Project ID
Query Parameters
Exchange ID to read tradable assets for when x-bluvo-wallet-id is not provided.
Available options:
ace, ascendex, bequant, bigone, binance, binance-web, coinbase, binanceus, bingx, bit2c, bitbank, bitbns, bitcoincom, bitfinex, bitflyer, bitget, bithumb, bitmart, bitmex, bitopro, bitpanda, bitrue, bitso, bitstamp, bitteam, bitvavo, bybit, bybit-web, bl3p, blockchaincom, blofin, btcalpha, btcbox, btcmarkets, btcturk, cex, coincheck, coinex, coinlist, coinmate, coinmetro, coinone, coinsph, coinspot, cryptocom, delta, deribit, digifinex, exmo, fmfwio, gate, gateio, gemini, hashkey, hitbtc, hollaex, htx, huobi, huobijp, hyperliquid, independentreserve, indodax, kraken, krakenfutures, kucoin, kucoinfutures, latoken, lbank, luno, mercado, mexc, ndax, novadax, oceanex, okcoin, okx, onetrading, oxfun, p2b, paradex, paymium, phemex, poloniex, poloniexfutures, probit, timex, tradeogre, upbit, vertex, wavesexchange, whitebit, woo, woofipro, xt, yobit, zaif, zonda, local-cex Comma-separated source/base assets to include, for example DOGE,USDC,BTC,ETH.
Comma-separated destination/quote assets to include, for example USDT,BTC,SOL,ETH,DOGE.
Response
Successful response
Was this page helpful?